QUOTATOOL(8)

NAME
quotatool - manipulate filesystem quotas

SYNOPSIS
quotatool [-u [:]uid | -g [:]gid] [-b | -i] [-r | -l NUM | -q NUM] [-nvR] [-d] filesystem
quotatool (-u | -g) (-b | -i) -t TIME [-nv] filesystem
quotatool [-hV]

DESCRIPTION
quotatool is a tool for manipulating filesystem quotas. Depending on the commandline options given, it can set hard or soft limits on block and inode usage, set and reset grace periods, for both users and (if your system supports this) groups. The filesystem to set the quota on is given as the first (and only) non-option element, and it is either the block special file (i.e /dev/sda3) or the mount point (i.e. /home) for the filesystem.

OPTIONS

-u [[:]uid]
    Set user quotas

-g [[:]gid]
    Set group quotas

uid and gid are either the numerical ID of the user or group, or its name in the /etc/passwd and /etc/group files. Prefix : allows using numerical uid/gid not present in /etc/passwd or /etc/group.

-b  Set block quotas [default]

-i  Set inode quotas

The -b and -i options are persistent -- they stay in effect until they are overridden.

-R  Only raise quotas, never lower. Makes sure you don't accidentally lower quotas for a user/group.

-t TIME
    Set the system-wide grace period to TIME. TIME consists of an optional '-' or '+' character, a number, and optionally one of the following modifiers: "seconds", "minutes", "hours", "days", "weeks", or "months". Unique abbreviations (e.g. "s", "mo") are also accepted. The default is "seconds". The argument should be preceded by -u|-g and -b|-i

-r  Reset the grace period

-l NUM
    Set hard limit to NUM

-q NUM
    Set soft limit (quota) to NUM

NUM consists of an optional '-' or '+' character, a number, and optionally one of the following modifiers: "Kb", "Mb", "Gb", "Tb", "bytes", or "blocks". Unique abbreviations are also accepted. The default is "blocks"

If +/- is supplied, the existing quota is increased or reduced by the specified amount.

-d  Dump quota info for user/group in a machine readable format:

                       |------- BLOCKS --------| |-------- FILES --------|
    uid/gid mountpoint current quota limit grace current quota limit grace

    grace is the number of seconds from now until the grace time ends. May be negative = time already passed. When quota is not passed, grace is zero.

-n  dry-run: show what would have been done but don't change anything. Use together with -v

-v  Verbose output. Use twice or thrice for even more output (debugging)

-h  Print a usage message to stdout and exit successfully

-V  Print version information to stdout and exit successfully

FILESYSTEMS / FORMATS
On Linux, quotatool works with both "old" and "new" + "generic" kernel-quota formats and also has support for quotas on XFS.

FILES
quota.user , quota.group (linux)
quotas (solaris, ...)

BUGS

Calling quotatool with more than one -v option will cause a segfault on some systems. This will happen if vprintf (3) fails to check for NULL arguments. GNU libc doesn't have this problem, solaris libc does.

SEE ALSO
quota(1), quotactl(2), edquota(8), quotacheck(8), quotaon(8), repquota(8)